#!/bin/sh
echo 'name: threads
version: 0.5.0.2
id: threads-0.5.0.2-b15b0b9f26e32879615a4e09375f7313

license: BSD3
copyright: 2010–2012 Bas van Dijk & Roel van Dijk
maintainer: Bas van Dijk <v.dijk.bas@gmail.com>
            Roel van Dijk <vandijk.roel@gmail.com>
stability: experimental
homepage: https://github.com/basvandijk/threads
package-url:
synopsis: Fork threads and wait for their result
description: This package provides functions to fork threads and
             wait for their result, whether it'\''s an exception or a
             normal value.
             .
             Besides waiting for the termination of a single thread
             this packages also provides functions to wait for a
             group of threads to terminate.
             .
             This package is similar to the
             @threadmanager@, @async@ and @spawn@ packages.
             The advantages of this package are:
             .
             * Simpler API.
             .
             * More efficient in both space and time.
             .
             * No space-leak when forking a large number of threads.
             .
             * Correct handling of asynchronous exceptions.
             .
             * GHC specific functionality like @forkOn@ and @forkIOWithUnmask@.
category: Concurrency
author: Bas van Dijk <v.dijk.bas@gmail.com>
        Roel van Dijk <vandijk.roel@gmail.com>
exposed: True
exposed-modules: Control.Concurrent.Thread
                 Control.Concurrent.Thread.Group
hidden-modules: Control.Concurrent.Raw
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.6.3/threads-0.5.0.2
library-dirs: /usr/local/lib/cabal/ghc-7.6.3/threads-0.5.0.2
              /usr/local/lib
hs-libraries: HSthreads-0.5.0.2
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: base-4.6.0.1-f7bdc8987bd5928e0ee6e8cc8b246a88
         base-unicode-symbols-0.2.2.4-ec1c787160bf91bc92b0b4f99c4199a9
         stm-2.4.2-b5d718b1a5f1fbcdb61a336aef0c2130
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.6.3/threads-0.5.0.2/html/threads.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.6.3/threads-0.5.0.2/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
